1 Reply Latest reply on Sep 22, 2009 3:35 AM by Daniel Bevenius

    WSTrustClient issue with AS 4.x

    Daniel Bevenius Master

      Hi,

      not sure if AS 4.2.3 is supported but I found an issue when running the WSTrustClient on it. The issue is that when WSTrustClient calls:

      nodes = ((Element)data).getElementsByTagName("RequestedSecurityToken");

      In older versions of JBossWS there is an issue where this call is not recursive:
      http://jira.jboss.org/jira/browse/JBWS-2346
      As far as I can tell JBoss 4.2.3 ships with version 3.0.1 of jbossws-native and this issue was fixed with a target of 3.0.5 so upgrading jbossws should take care of this issue.

      Regards,

      /Daniel